function [ K,F ] = Assemblage2D(elem,k,X,T,f,phi,grad,Xgauss,Wgauss,Ngauss)
% Assemblage des matrices lmentaires "Ke" dans la matrice globale K
% Assemblage des seconds membres lmentaires "Fe" dans le second... 
% membre global F
% On utilise la fonction "MatElem(k,X,T,ie,f,phi,grad,Xgauss,Wgauss)"
% 
%Entres:
%       elem:  type d'lment (0 pour quadrilatres et 1 pour triangles)
%          X: table des coordonnes
%          T: tbale des connectivits
% 
Nn=size(X,1); %nombre des noeuds
Nt=size(T,1);  % nombre des lments
%
%K=sparse(zeros(Nn,Nn));% initialisation de K comme matrice creuse
K=zeros(Nn,Nn);% initialisation de K 
F=zeros(Nn,1);% initialisation de F comme matrice creuse
%
for ie = 1:Nt 
    Tie = T(ie,:);
    [Ke] = MatElem2(elem,k,X,T,ie,phi,grad,Xgauss,Wgauss);
    [Fe] = SMelem(f,elem,k,X,T,ie,Ngauss);
    K(Tie,Tie)=K(Tie,Tie)+Ke;
    F(Tie)=F(Tie)+Fe;
    clear Ke Fe; 
end
%K=sparse(K);
end

