function [phi,grad] = FoncChap(k,Xgauss)
%cette fonction donne les fonctions de formes dans l'element de rfrence
%        N1=(0,1)
%               | \
%               |  \
%               |   \
%               | TR \
%               |_ _ _\
%        N1=(0,0)      (1,0)=N2
%Entres:
%            k: type des lments finis Pk
%       Xgauss: Noeuds de Gauss dans TR
%Sorties:
%         phi: tableau dont les colonnes contiennent les fonctions chapeaux 
%              phi1, phi2 et phi3 dans cet ordre
%        grad: tableau dont les colonnes contiennent les gradiants  
%              des fonctions chapeaux phi1, phi2 et phi3 dans cet ordre
%
s = Xgauss(:,1); 
t = Xgauss(:,2); 
if k == 1  %P1
        phi   = [1-(s+t),s,t]; 
        grad  = [-ones(2,1),eye(2)]; 
end

