function [Kb,Fb,U] = MEF2D(f,elem,k,X,T,b,Ngauss)
% fonction traite l'equation alpha*laplace(u)=f sur Omega avec u|Omega=0
% moyennant la mthode des lments finis de type Galerkin Pk
%Entres
%          f:  fonction second membre
%       elem:  type d'lment (0 pour quadrilatres et 1 pour triangles)
%          k:  type de la mthodes des lments finis (Pk)
%          X:  table des coordonnes
%          T:  table de connectivit
%          b:  noeuds sur le bords
%     Ngauss:  Nombre des noeuds de Gauss dans l'lment courant 
%Sorties:
%          U:  Vecteurs solutions aux noeuds du maillage.
%
% --------Quadrature de Gauss-----------
[Xgauss,Wgauss]=Quadrature(elem, Ngauss);
%
%---------Fonctions chapeaux------------
[phi,grad] = FoncChap(k,Xgauss);
%
%-------- Assemblage--------------------
[ K,F ] = Assemblage2D(elem,k,X,T,f,phi,grad,Xgauss,Wgauss,Ngauss);
%
%--------Conditions aux bords-----------
%On met "0" dans les lignes et les colonnes qui correspondent aux noeuds
%bords dans K et F
K(b,:)=0; K(:,b)=0; 
F(b)=0; 
%On met "1" sur la diagonale de K correspodant aux aux noeuds bords 
%K(b,b)=speye(length(b),length(b)); % cas o K est sparse
K(b,b)=eye(length(b),length(b));
% K et F aprs conditions aux bords
Kb=K; Fb=F; 
%
U=Kb\Fb;
end

